Bug 439852 - Oops in USB camera driver
Oops in USB camera driver
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 15:01 EDT by Chuck Ebbert
Modified: 2008-12-09 16:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 16:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Ebbert 2008-03-31 15:01:34 EDT
Description of problem:
Oops in USB camera driver

Version-Release number of selected component (if applicable):
2.6.24.3-53.fc8 (and all 2.6.24 kernels)

How reproducible:
On every boot

usb 3-2: Creative Labs Video Blaster WebCam Go Plus detected
list_add corruption. prev->next should be next (ffff81003794c008), but was
ffff810037888090. (prev=ffff81003782e460).
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:33!
invalid opcode: 0000 [1] SMP 
CPU 0 
Modules linked in: ovcamchip snd_page_alloc w9968cf compat_ioctl32 videodev
v4l2_common i2c_piix4 v4l1_compat i2c_core shpchp button joydev sr_mod cdrom sg
usb_storage sata_sil ata_generic pata_atiixp pata_acpi libata sd_mod scsi_mod
ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Pid: 1014, comm: modprobe Not tainted 2.6.24.4-53.fc8 #1
RIP: 0010:[<ffffffff8112b68a>]  [<ffffffff8112b68a>] __list_add+0x47/0x5b
RSP: 0018:ffff810036869c08  EFLAGS: 00010296
RAX: 0000000000000079 RBX: ffff81003649a838 RCX: 0000000000005634
RDX: 00000000ffffffff RSI: ffffffff81346837 RDI: ffffffff81390020
RBP: ffffffff8812b7e0 R08: 0000000000000000 R09: ffffffff81290b60
R10: ffffffff8812b7e0 R11: ffffffff8119cf24 R12: ffff81003794c000
R13: 0000000000000000 R14: ffff81003649a8f8 R15: 0000000000000000
FS:  00002aaaaaabd6f0(0000) GS:ffffffff813cb000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00002aaaaaac1000 CR3: 0000000036850000 CR4: 00000000000006a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process modprobe (pid: 1014, threadinfo ffff810036868000, task ffff8100379c7160)
Stack:  ffffffff8812b7e0 ffffffff81266ac2 0000000000000000 ffffffff8812b808
 ffff81003649a808 ffffffff8119d8c0 ffff81003794c000 ffff81003649a938
 0000000000000000 ffffffff8812b640 000000013649a8f8 0000000000000000
Call Trace:
 [<ffffffff81266ac2>] klist_add_tail+0x35/0x42
 [<ffffffff8119d8c0>] device_add+0x3ba/0x640
 [<ffffffff881262ca>] :videodev:video_register_device+0x192/0x210
 [<ffffffff88130020>] :compat_ioctl32:native_ioctl+0x20/0x60
 [<ffffffff8813bbaf>] :w9968cf:w9968cf_usb_probe+0x3ac/0x1361
 [<ffffffff811b9263>] usb_probe_interface+0xdd/0x125
 [<ffffffff8119f7a6>] driver_probe_device+0xff/0x17c
 [<ffffffff8119f96b>] __driver_attach+0x90/0xcc
 [<ffffffff8119f8db>] __driver_attach+0x0/0xcc
 [<ffffffff8119f8db>] __driver_attach+0x0/0xcc
 [<ffffffff8119eb36>] bus_for_each_dev+0x43/0x6e
 [<ffffffff8119eeb6>] bus_add_driver+0x77/0x1be
 [<ffffffff811b8df0>] usb_register_driver+0x7e/0xe1
 [<ffffffff81057ae8>] sys_init_module+0x15da/0x171a
 [<ffffffff8100be8e>] system_call+0x7e/0x83


Code: 0f 0b eb fe 48 89 7e 08 48 89 37 48 89 57 08 48 89 3a 5a c3 
RIP  [<ffffffff8112b68a>] __list_add+0x47/0x5b
 RSP <ffff810036869c08>
---[ end trace 2d7932b8656b5149 ]---
Comment 1 Andrew Ziem 2008-11-02 20:56:36 EST
I get basically the same thing for 2.6.26.6-79.fc9.i686, and when I try to run lshw or lsusb, they freeze.




w9968cf: V4L driver for W996[87]CF JPEG USB Dual Mode Camera Chip 1:1.33-basic
ovcamchip: v2.27 for Linux 2.6 : OV camera chip I2C driver
usb 4-1: W996[87]CF JPEG USB Dual Mode Camera detected
list_add corruption. prev->next should be next (eba4a004), but was eae73460. (prev=eadc4e20).
------------[ cut here ]------------
kernel BUG at lib/list_debug.c:33!
invalid opcode: 0000 [#1] SMP 
Modules linked in: ovcamchip w9968cf(+) parport_pc(+) videodev firewire_core snd_mpu401_uart i2c_viapro snd_rawmidi snd_timer via_rhine v4l1_compat snd_seq_device snd parport pcspkr i2c_core crc_itu_t mii snd_page_alloc soundcore sr_mod cdrom floppy sg sata_via pata_acpi ata_generic pata_via libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]

Pid: 620, comm: modprobe Not tainted (2.6.26.6-79.fc9.i686 #1)
EIP: 0060:[<c04feeff>] EFLAGS: 00010246 CPU: 0
EIP is at __list_add+0x34/0x4a
EAX: 00000061 EBX: eac52c1c ECX: 00000046 EDX: 00000046
ESI: eac52c1c EDI: 00000000 EBP: ebb8acf0 ESP: ebb8acdc
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 620, ti=ebb8a000 task=eac69900 task.ti=ebb8a000)
Stack: c06e5dd3 eba4a004 eae73460 eadc4e20 eba4a000 ebb8ad00 c0622905 ec95de84 
       eac52c04 ebb8ad2c c056a8c0 eac52c7c eba4a000 00000001 00000000 ec95ddb4 
       ec95de70 eac52c04 eac52c00 eac52d30 ebb8ad38 c056a9f0 00000000 ebb8ad68 
Call Trace:
 [<c0622905>] ? klist_add_tail+0x29/0x30
 [<c056a8c0>] ? device_add+0x29d/0x3bb
 [<c056a9f0>] ? device_register+0x12/0x15
 [<ec958626>] ? video_register_device+0x172/0x1e7 [videodev]
 [<ec984bdd>] ? w9968cf_usb_probe+0x393/0x146f [w9968cf]
 [<c057f929>] ? usb_probe_interface+0xbc/0xef
 [<c056bf6e>] ? driver_probe_device+0xa0/0x136
 [<c056c03e>] ? __driver_attach+0x3a/0x59
 [<c056b99e>] ? bus_for_each_dev+0x3b/0x63
 [<c056be13>] ? driver_attach+0x14/0x16
 [<c056c004>] ? __driver_attach+0x0/0x59
 [<c056b412>] ? bus_add_driver+0x9d/0x1ba
 [<c056c1c7>] ? driver_register+0x81/0xe1
 [<c0478c25>] ? __vunmap+0x93/0x9b
 [<c057fb06>] ? usb_register_driver+0x66/0xc0
 [<ec91407f>] ? w9968cf_module_init+0x7f/0x81 [w9968cf]
 [<c04482c7>] ? sys_init_module+0x17cf/0x1988
 [<ec969000>] ? ovcamchip_command+0x0/0xc7 [ovcamchip]
 [<c0404c32>] ? syscall_call+0x7/0xb
 =======================
Code: 39 d0 74 14 51 50 52 68 83 5d 6e c0 e8 07 0a 13 00 0f 0b 83 c4 10 eb fe 8b 10 39 ca 74 14 50 52 51 68 d3 5d 6e c0 e8 ed 09 13 00 <0f> 0b 83 c4 10 eb fe 89 5a 04 89 13 89 43 04 89 18 8b 5d fc c9 
EIP: [<c04feeff>] __list_add+0x34/0x4a SS:ESP 0068:ebb8acdc
---[ end trace 74a0f999305d90cf ]---
Comment 2 Andrew Ziem 2008-11-02 20:57:35 EST
Should someone change kernel version from 8 to 9?  And upgrade severity?  I cannot use my Creative webcam at all.
Comment 3 Bug Zapper 2008-11-26 05:19:25 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew Ziem 2008-11-26 18:11:51 EST
I don't have permissions: Could someone change kernel version from 8 to 9?  And upgrade severity?  I cannot use my Creative webcam at all.
Comment 5 Hans de Goede 2008-12-09 16:55:24 EST
Hi,

Short intro: I've been working the last 6 months or so to improve webcam support under Fedora.

I'm afraid that the driver for your cam has been written by someone who has stopped actively maintaining it, and that no one has stepped up to replace him. So it is essentially unmaintained.

I'm afraid there is nothing we can do to make your cam work (esp. without access to such a cam). Therefor I'm closing this bug :(

Note You need to log in before you can comment on or make changes to this bug.